Bug 284151 - Review Request: Io-language - Io is a small, prototype-based programming language
Review Request: Io-language - Io is a small, prototype-based programming lang...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 17:35 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 14:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-09 17:35:50 EDT
Spec URL: http://people.atrpms.net/~hdegoede/Io-language.spec
SRPM URL: http://people.atrpms.net/~hdegoede/Io-language-20070710-1.fc8.src.rpm
Description:
Io is a small, prototype-based programming language. The ideas in
Io are mostly inspired by Smalltalk (all values are objects), Self
(prototype-based), NewtonScript (differential inheritance), Act1
(actors and futures for concurrency), LISP (code is a runtime
inspectable/modifiable tree) and Lua (small, embeddable).
Comment 1 Jason Tibbitts 2007-09-10 15:48:44 EDT
The specfile link seems to be invalid.
Comment 2 Hans de Goede 2007-09-10 15:53:10 EDT
(In reply to comment #1)
> The specfile link seems to be invalid.

Permissions problem (scp preserves permissions, didn't know that) fixed now.
Comment 3 Jon Ciesla 2007-09-11 17:54:11 EDT
rpmlint -i on SRPM:
Io-language.src: W: strange-permission AddonBuilder_io_libdir.patch 0660
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

Io-language.src: W: strange-permission Io-language.spec 0660
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

rpmlint -i on RPMS:
Io-language.i386: E: zero-length /usr/lib/io/addons/SqlDatabase/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/NotificationCenter/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/ContinuedFraction/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/BigNum/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/User/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/SqlDatabase/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/AsyncRequest/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/MD5/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/BigNum/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Regex/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Libxml2/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Random/build.io
Io-language.i386: W: hidden-file-or-dir
/usr/share/doc/Io-language-20070710/guide.pages/.typeAttributes.dict
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

Io-language.i386: E: zero-length
/usr/share/doc/Io-language-20070710/guide.pages/.typeAttributes.dict
Io-language.i386: E: zero-length /usr/lib/io/addons/Flux/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/CGI/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Random/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/NotificationCenter/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/SQLite3/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Curses/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Syslog/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Zlib/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/ContinuedFraction/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Libxml2/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Range/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/AsyncRequest/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Thread/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/User/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Fnmatch/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/SQLite3/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/UUID/build.io
Io-language.i386: W: hidden-file-or-dir
/usr/share/doc/Io-language-20070710/guide_files/.htmle
The file or directory is hidden. You should see if this is normal,
and delete it from the package if not.

Io-language.i386: E: zero-length
/usr/share/doc/Io-language-20070710/guide_files/.htmle
Io-language.i386: E: zero-length /usr/lib/io/addons/SystemCall/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Rational/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/UUID/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Rational/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/SHA1/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/MD5/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Regex/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Blowfish/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Fnmatch/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/SHA1/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Box/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Syslog/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Loki/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/LZO/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Loki/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Zlib/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/LZO/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Range/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Box/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/CGI/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/SystemCall/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Blowfish/depends
Io-language.i386: E: zero-length /usr/lib/io/addons/Thread/build.io
Io-language.i386: E: zero-length /usr/lib/io/addons/Curses/build.io
Io-language-devel.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

Io-language-extras.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

Io-language-extras.i386: E: zero-length /usr/lib/io/addons/SoundTouch/build.io
Io-language-extras.i386: E: zero-length
/usr/lib/io/addons/SampleRateConverter/build.io
Io-language-extras.i386: E: zero-length /usr/lib/io/addons/Socket/depends
Io-language-extras.i386: E: zero-length /usr/lib/io/addons/SoundTouch/depends
Io-language-extras.i386: E: zero-length /usr/lib/io/addons/Python/depends
Io-language-extras.i386: E: zero-length
/usr/lib/io/addons/SampleRateConverter/depends
Io-language-extras.i386: E: zero-length /usr/lib/io/addons/Socket/build.io
Io-language-extras.i386: E: zero-length /usr/lib/io/addons/Python/build.io
Io-language-graphics-and-sound.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/TagLib/depends
Io-language-graphics-and-sound.i386: E: zero-length /usr/lib/io/addons/Image/depends
Io-language-graphics-and-sound.i386: E: zero-length /usr/lib/io/addons/Font/depends
Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/PortAudio/build.io
Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/LibSndFile/build.io
Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/Image/build.io
Io-language-graphics-and-sound.i386: E: zero-length /usr/lib/io/addons/Font/build.io
Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/PortAudio/depends
Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/OpenGL/build.io
Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/TagLib/build.io
Io-language-graphics-and-sound.i386: E: zero-length
/usr/lib/io/addons/LibSndFile/depends
Io-language-mysql.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

Io-language-mysql.i386: E: zero-length /usr/lib/io/addons/MySQL/build.io
Io-language-mysql.i386: E: zero-length /usr/lib/io/addons/MySQL/depends
Io-language-postgresql.i386: W: no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

Io-language-postgresql.i386: E: zero-length /usr/lib/io/addons/PostgreSQL/build.io
Io-language-postgresql.i386: E: zero-length /usr/lib/io/addons/Postgres/build.io
Io-language-postgresql.i386: E: zero-length /usr/lib/io/addons/PostgreSQL/depends
Io-language-postgresql.i386: E: zero-length /usr/lib/io/addons/Postgres/depends


-----------
Is there really no documentation for some of these packages?  No problem if
there isn't, just checking.

Also, the Source URL is 404.
Comment 4 Hans de Goede 2007-09-12 15:43:22 EDT
(In reply to comment #3)
> Is there really no documentation for some of these packages?  No problem if
> there isn't, just checking.
> 

I did another check and found some docs for the OpenGL addon, the other addons
are doc-less. I've also shuffled the other docs around a bit (divided them into
normal and devel docs).

> Also, the Source URL is 404.

No it isn't (I know not a helpfull comment, but I tried it with spectool -g and
it works fine).

Here is a new version with the docs shuffled and all rpmlint warnings except for
the 0 sized file ones fixed. The 0 size files must be there, so ignore the
warnings please:
Spec URL: http://people.atrpms.net/~hdegoede/Io-language.spec
SRPM URL: http://people.atrpms.net/~hdegoede/Io-language-20070710-2.fc8.src.rpm

Comment 5 Jon Ciesla 2007-09-12 19:20:45 EDT
Ah, you defined version as 2007-07-10, so 20070710 isn't in the URL.  Always
pays to RTFS. :)

rpmlint is as above.

Everything else is OK AFAICT, md5, spec, mock, BRs, etc.  Looks good overall.

APPROVED.
Comment 6 Hans de Goede 2007-09-13 02:23:51 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      Io-language
Short Description: Io is a small, prototype-based programming language
Owners:            j.w.r.degoede@hhs.nl
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 7 Kevin Fenzi 2007-09-13 13:01:43 EDT
cvs done.
Comment 8 Hans de Goede 2007-09-13 14:35:00 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.